# $Revision: 1.2 $, $Date: 2008/09/19 15:32:42 $
%define		plugin		translation
%define		snap		2008.08.12
Summary:	DokuWiki translation plugin
Summary(pl.UTF-8):	Wtyczka translation dla DokuWiki
Name:		dokuwiki-plugin-%{plugin}
Version:	%{snap}
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	http://dev.splitbrain.org/download/snapshots/translation-plugin-latest.tgz
# Source0-md5:	9a00bea4664a9de916228611e56ec84d
Source1:	dokuwiki-find-lang.sh
URL:		http://wiki.splitbrain.org/plugin:translation
Requires:	dokuwiki >= 20070626
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_dokudir	/usr/share/dokuwiki
%define		_plugindir	%{_dokudir}/lib/plugins/%{plugin}

%description
Help with translation efforts in a multilingual wiki.
Similar to nsrelation.

%description -l pl.UTF-8
Wtyczka do dokuwiki ułatwiająca tworzenie wielojęzykowych
wersji. Podobna do wtyczki nsrelation.

%prep
%setup -q -n %{plugin}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_plugindir}
cp -a . $RPM_BUILD_ROOT%{_plugindir}
rm -f $RPM_BUILD_ROOT%{_plugindir}/{CREDITS,changelog}

# find locales
sh %{SOURCE1} %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc info.txt
%dir %{_plugindir}
%{_plugindir}/*.php
%{_plugindir}/*.css
%{_plugindir}/conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org
$Log: dokuwiki-plugin-translation.spec,v $
Revision 1.2  2008/09/19 15:32:42  duddits
- snap updated to 2008.08.12
- package description updated
- plugin req updated (needs dokuwiki >= 20070626 to work properly)

Revision 1.1  2008/06/17 08:13:18  paszczus
- initial

